use crate::rights::Rights;

use super::result::ResultID;

pub struct Measurement<'a> {
    pub name: &'a str,
    pub value: f32,
    pub rights: Option<Rights>,
}

#[derive(Debug, Clone, Copy, PartialEq, Eq, PartialOrd, Ord)]
pub struct MeasurementID(pub(crate) i64);

#[derive(Debug)]
pub struct OutMeasurement {
    pub id: MeasurementID,
    pub name: String,
    pub value: f32,
    pub result_id: ResultID,
    pub rights: Option<Rights>,
}
